%define	version   9100h
%define	release   %mkrel 1.%{dic_date}.1
%define	dic_date  20090209

%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %name

Name:      anthy
Summary:   A Japanese words input system
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPLv2+
URL:       http://www.sourceforge.jp/projects/anthy/
Source0:   http://sourceforge.jp/projects/anthy/files/%{name}-%{version}.tar.gz

# http://www.geocities.jp/ep3797/anthy_dict_01.html
Source1:   http://ovh.dl.sourceforge.net/sourceforge/mdk-ut/anthy-ut-patches-%{dic_date}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:        %{libname} = %{version}
BuildRequires:   emacs-bin automake

%description
Anthy is a free and secure Japanese input system.


%package -n %{libname}
Summary:    Anthy library
Group:      System/Internationalization

%description -n %{libname}
Anthy library.

%package -n %{develname}
Summary:    Headers of %{name} for development
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %mklibname -d anthy 0
Conflicts:  %{mklibname anthy 0} < 9100e-10

%description -n %{develname}
Anthy development package: static libraries, header files, and the like.


%prep
%setup -q

# (ut) update dictionaries and apply patches
cp %SOURCE1 .
tar -jxf anthy-ut-patches-%{dic_date}.tar.bz2
cd anthy-ut-patches-%{dic_date}
./apply-patches.sh

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog DIARY NEWS README doc
%{_bindir}/*
%config %{_sysconfdir}/*
%{_datadir}/anthy
%{_datadir}/emacs/site-lisp/anthy/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Mon Feb 09 2009 Funda Wang <fundawang@mandriva.org> 9100h-1.20090209.1mdv2009.1
+ Revision: 338763
- reconf
- New version 9100h with newer ut patches

* Sat Feb 07 2009 Funda Wang <fundawang@mandriva.org> 9100g-1.20090129.1mdv2009.1
+ Revision: 338323
- disable ut patches for now (it modifies configure.ac too much)
- anthy 9100g
- New ut patches

* Mon Jan 19 2009 Funda Wang <fundawang@mandriva.org> 9100e-18.20090119.1mdv2009.1
+ Revision: 331285
- fix str fmt
- new patches

* Mon Dec 08 2008 Funda Wang <fundawang@mandriva.org> 9100e-17.20081203.1mdv2009.1
+ Revision: 311860
- new patch series

* Thu Nov 20 2008 Funda Wang <fundawang@mandriva.org> 9100e-16.20081117.1mdv2009.1
+ Revision: 304928
- new ut patches

* Sat Oct 25 2008 Funda Wang <fundawang@mandriva.org> 9100e-15.20081025.1mdv2009.1
+ Revision: 297231
- new ut patches

* Mon Oct 20 2008 Funda Wang <fundawang@mandriva.org> 9100e-14.20081018.1mdv2009.1
+ Revision: 295473
- new ut patches 20081018

* Thu Oct 16 2008 Funda Wang <fundawang@mandriva.org> 9100e-13.20081015.1mdv2009.1
+ Revision: 294111
- New ut patches

* Sun Sep 28 2008 Funda Wang <fundawang@mandriva.org> 9100e-12.20080928.1mdv2009.0
+ Revision: 288969
- New ut patches

* Mon Aug 04 2008 Funda Wang <fundawang@mandriva.org> 9100e-11.20080804.1mdv2009.0
+ Revision: 263386
- new ut patches

* Sun Jun 15 2008 Funda Wang <fundawang@mandriva.org> 9100e-10.20080605.1mdv2009.0
+ Revision: 219205
- move .so file into devel package

* Sun Jun 15 2008 Funda Wang <fundawang@mandriva.org> 9100e-9.20080605.1mdv2009.0
+ Revision: 219204
- New ut patches

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 03 2008 Funda Wang <fundawang@mandriva.org> 9100e-8.20080502.1mdv2009.0
+ Revision: 200586
- New ut patches

* Mon Apr 21 2008 Funda Wang <fundawang@mandriva.org> 9100e-7.20080411.1mdv2009.0
+ Revision: 196293
- Updated ut patches

* Fri Mar 14 2008 Funda Wang <fundawang@mandriva.org> 9100e-7.20080309.1mdv2008.1
+ Revision: 187754
- Update ut patches

* Sat Mar 08 2008 Funda Wang <fundawang@mandriva.org> 9100e-6.20080226.1mdv2008.1
+ Revision: 182054
- Updated ut patches

* Tue Feb 26 2008 Funda Wang <fundawang@mandriva.org> 9100e-5.20080224.1mdv2008.1
+ Revision: 175232
- Update patches from ut

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 9100e-4mdv2008.1
+ Revision: 164435
- Updatedut patches

* Thu Feb 07 2008 Funda Wang <fundawang@mandriva.org> 9100e-3mdv2008.1
+ Revision: 163396
- Updated patches from UTUMI Hirosi

* Tue Jan 29 2008 Funda Wang <fundawang@mandriva.org> 9100e-2mdv2008.1
+ Revision: 159831
- disable non-applied patch
- Use new patch

* Tue Jan 29 2008 Funda Wang <fundawang@mandriva.org> 9100e-1mdv2008.1
+ Revision: 159595
- New version 9100e

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 02 2007 Funda Wang <fundawang@mandriva.org> 9100d-1mdv2008.1
+ Revision: 105270
- New version 9100d

* Sat Oct 27 2007 Funda Wang <fundawang@mandriva.org> 9100c-1mdv2008.1
+ Revision: 102562
- Drop unused patches
- New version 9100c

* Wed Aug 29 2007 Funda Wang <fundawang@mandriva.org> 9100-2mdv2008.0
+ Revision: 74998
- Merge UTUMI Hirosi's changes

* Sat Jul 07 2007 Funda Wang <fundawang@mandriva.org> 9100-1mdv2008.0
+ Revision: 49345
- New version

* Sat Jun 16 2007 Funda Wang <fundawang@mandriva.org> 9011-1mdv2008.0
+ Revision: 40364
- New version

* Mon May 28 2007 Funda Wang <fundawang@mandriva.org> 8921-1mdv2008.0
+ Revision: 31907
- New version

* Sun May 13 2007 Funda Wang <fundawang@mandriva.org> 8906-1mdv2008.0
+ Revision: 26504
- New upstream version

* Wed Apr 25 2007 Funda Wang <fundawang@mandriva.org> 8819-1mdv2008.0
+ Revision: 18087
- emacs scripts location has changed.
- New upstream version.
  parallel build doesn't build.

* Mon Apr 23 2007 Funda Wang <fundawang@mandriva.org> 8700b-1mdv2008.0
+ Revision: 17174
- New upstream version 8700b.


* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 8300-1mdv2007.0
+ Revision: 87014
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
- new release
- update source1 (anthy_gcanna_ut)
- add patch0 (it will be merged soon)
- reenable parallel build

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 8116-1mdv2007.1
+ Revision: 65971
- temporary disable broken parallel build
- new release; update source1 (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
- initial import
- Created package structure for anthy.

* Fri Sep 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 8023-1mdv2007.0
- new release
- update source1 (anthy_gcanna_ut)

* Wed Aug 30 2006 Thierry Vignaud <tvignaud@mandriva.com> 8019-2mdv2007.0
- prevent extra devel requires on non devel file

* Tue Aug 22 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 8019-1mdv2007.0
- new release
- update source1 (anthy_gcanna_ut)
- remove patch0,1 (merged upstream)

* Thu Aug 17 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 8013-2mdv2007.0
- update source1 (anthy_gcanna_ut)
- add patch0 (anthy-name.t_20060815.diff)
- add patch1 (anthy_gcannaf.ctd_20060815.diff)

* Tue Aug 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 8013-1mdv2007.0
- new release

* Tue Aug 01 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7929-1mdv2007.0
- new release

* Tue Jul 25 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7917-1mdv2007.0
- new release

* Tue Jun 20 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7818-1mdv2007.0
- new release

* Mon May 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7714-1mdk
- new release

* Thu Apr 27 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7625-1mdk
- new release

* Thu Apr 27 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7625-1mdk
- new release

* Sun Apr 23 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7622-1mdk
- new release

* Thu Apr 20 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7614-2mdk
- update source1

* Sun Apr 16 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7614-1mdk
- new release
- remove patch0 (merged upstream)

* Fri Apr 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7608-1mdk
- new release
- update source1
- remove patch0, patch1 (merged upstream)
- add new patch0

* Wed Mar 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7500-1mdk
- new release
- remove patch0 (merged upstream)
- update source1
- add patch0
- add patch1

* Wed Feb 22 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7419-2mdk
- update source1
- update patch0

* Tue Feb 21 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7419-1mdk
- new release
- update source1
- add patch0

* Sun Jan 08 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7307-1mdk
- replace patch0 with source1
- update source1 (cannadic)

* Wed Dec 28 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7227-1mdk
- new release
- update patch0

* Tue Nov 22 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7100b-2mdk
- remove source1 (anthy_placename) to keep conversion compatibility

* Thu Nov 03 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7100b-1mdk
- new release

* Sun Oct 30 2005 Nicolas l?ureuil <neoclust@mandriva.org> 7029-1mdk
- package from : UTUMI Hirosi <utuhiro78 at yahoo dot co dot jp>
	- new release
	- add patches for dictionaries (source1, patch0)

* Fri Oct 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 6829-1mdk
- new release

* Thu Aug 04 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6801-1mdk
- new release

* Sat Jul 23 2005 Nicolas L?ureuil <neoclust@mandriva.org> 6700b-1mdk
- New release 6700b

* Sat Jun 18 2005 Nicolas L?ureuil <neoclust@mandriva.org> 6606-1mdk
- New release 6606

* Tue May 10 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6508-1mdk
- new release

* Sun Apr 03 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6331-1mdk
- new release

* Tue Mar 08 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6300d-1mdk
- new release

* Sun Mar 06 2005 Stefan van der Eijk <stefan@eijk.nu> 6300-2mdk
- reupload, src.rpm got lost
- remove requires-on-release (rpmlint)

* Mon Feb 28 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6300-1mdk
- new release
- spec clean up

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 6131-1mdk
- new release (fix conversion quite a lot common japanese words)

* Fri Jan 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 6125-1mdk
- new release

* Tue Dec 28 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6024-1mdk
- new release
- clean up spec

* Thu Nov 25 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5924-1mdk
- new release

* Mon Nov 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5900-1mdk
- new release

* Thu Sep 16 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5714-1mdk
- new release

* Sun Sep 05 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5704-1mdk
- new release

* Sat Aug 28 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5626-1mdk
- new release

* Fri Aug 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5605-1mdk
- new release
- reenable libtoolize

* Sun Aug 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5531-1mdk
- new release

* Fri Jul 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5524-2mdk
- rpmbuildupdate aware

* Sun Jul 25 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5524-1mdk
- new release

* Sun Jul 25 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5523-1mdk
- new release

* Wed Jul 21 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5516-1mdk
- new release

* Tue Jun 22 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5414-1mdk
- new release

* Wed Jun 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5406-1mdk
- new release

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5326-1mdk
- new release

* Sat Apr 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5100-1mdk
- new release

* Thu Feb 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-5mdk
- move .so link into libanthy0 since uim load them through dlopen

* Wed Feb 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-4mdk
- fix requires

* Wed Feb 18 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 4925-3mdk
- fix requires

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-2mdk
- use proper build fix

* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-1mdk
- new release
- fix build

* Sat Jan 24 2004 Per ?vind Karlsen <peroyvind@linux-mandrake.com> 4700-2mdk
- fix buildrequires
- cosmetics

* Wed Jan 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4700-1mdk
- from UTUMI Hirosi <utuhiro78@yahoo.co.jp>: initial upload

